org.apache.olingo.odata2.api.edm

## Enum EdmAction

- java.lang.Object
- - java.lang.Enum<EdmAction>
  - - org.apache.olingo.odata2.api.edm.EdmAction

- All Implemented Interfaces:
    Serializable, Comparable<EdmAction>

      public enum EdmAction
      extends Enum<EdmAction>

  Do not implement this interface or derive from class.
    A CSDL Action Element

    EdmAction can either be Cascade or None. Cascade implies that a delete operation on an entity also should delete the relationship instances.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Cascade`
    `None`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EdmAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EdmAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Cascade

          public static final EdmAction Cascade

    - #### None

          public static final EdmAction None

  - ### Method Detail

    - #### values

          public static EdmAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EdmAction c : EdmAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EdmAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.